Bug 880665 - [RHEVM] [upgrade] [backend] Should upgrade of ssh public key when upgrading from 3.0
Summary: [RHEVM] [upgrade] [backend] Should upgrade of ssh public key when upgrading f...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.1.0
Hardware: x86_64
OS: Linux
urgent
medium
Target Milestone: ---
: 3.2.0
Assignee: Moran Goldboim
QA Contact: Martin Pavlik
URL:
Whiteboard: integration
Depends On: 886605 892532 902686 909948
Blocks: 884640
TreeView+ depends on / blocked
 
Reported: 2012-11-27 14:43 UTC by Martin Pavlik
Modified: 2015-04-07 03:09 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 884640 (view as bug list)
Environment:
Last Closed:
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)
log_collector (608.36 KB, application/x-xz)
2012-11-27 14:43 UTC, Martin Pavlik
no flags Details
log_collector (994.00 KB, application/x-xz)
2012-11-27 15:35 UTC, Martin Pavlik
no flags Details
logcollector_host_install_after_upgrade (561.83 KB, application/x-xz)
2012-12-03 12:57 UTC, Martin Pavlik
no flags Details

Description Martin Pavlik 2012-11-27 14:43:20 UTC
Created attachment 652786 [details]
log_collector

Description of problem:
After RHEVM management upgrade followed by RHEVH host upgrade, engine.log is full of following errors:
2012-11-27 15:26:38,758 ERROR [org.ovirt.engine.core.ServletUtils] (http-/0.0.0.0:8080-1) Can't read file "/etc/pki/ovirt-engine/keys/engine.ssh.key.txt" for request "/engine.ssh.key.txt", will send a 404 error response.


Version-Release number of selected component (if applicable):
before upgrade: 
    RHEVM ic158.2
    host: RHEVH 20121025.0.el6_3
after upgrade:
    RHEVM si24.4
    host: RHEVH 20121121.0.el6_3

How reproducible:
100%

Steps to Reproduce:
1. Add RHEVH (20121025.0.el6_3) to RHEVM
2. Upgrade RHEVM mangement from ic158.2 to si24.4
3. Upgrade RHEVH host to 20121121.0.el6_3
  
Actual results:
Host works but engine.log is full of errors

Expected results:
Host works, no errors

Additional info:

Comment 1 Alon Bar-Lev 2012-11-27 15:22:46 UTC
Are you sure? I don't see any message in attachment#652786 [details].
What happens if you manually access http://xxx/engine.ssh.key.txt?

Comment 2 Martin Pavlik 2012-11-27 15:35:42 UTC
Created attachment 652826 [details]
log_collector

Comment 3 Alon Bar-Lev 2012-11-27 15:49:33 UTC
Thanks.

Yet another issue that was expected and fixed upstream[1].

Can you please send me the output of the following on this machine?

# find /etc/pki/ovirt-engine

Thanks!

[1] http://gerrit.ovirt.org/#/c/4853/

Comment 4 Martin Pavlik 2012-11-27 16:09:47 UTC
here it is

[root@mp-rhevm30 ~]# find /etc/pki/ovirt-engine
/etc/pki/ovirt-engine
/etc/pki/ovirt-engine/store-utils.sh
/etc/pki/ovirt-engine/.keystore
/etc/pki/ovirt-engine/CreatePem.sh
/etc/pki/ovirt-engine/CreateCA.sh
/etc/pki/ovirt-engine/importToKeyStore.sh
/etc/pki/ovirt-engine/openssl.conf
/etc/pki/ovirt-engine/certs
/etc/pki/ovirt-engine/certs/engine.cer
/etc/pki/ovirt-engine/certs/03.pem
/etc/pki/ovirt-engine/certs/engine.der
/etc/pki/ovirt-engine/certs/02.pem
/etc/pki/ovirt-engine/certs/ca.der
/etc/pki/ovirt-engine/certs/emptyfile.txt
/etc/pki/ovirt-engine/certs/10.34.66.61cert.pem
/etc/pki/ovirt-engine/certs/01.pem
/etc/pki/ovirt-engine/generate-ssh-keys
/etc/pki/ovirt-engine/.truststore
/etc/pki/ovirt-engine/installCA.sh
/etc/pki/ovirt-engine/ca.pem
/etc/pki/ovirt-engine/private
/etc/pki/ovirt-engine/private/ca.pem
/etc/pki/ovirt-engine/private/emptyfile.txt
/etc/pki/ovirt-engine/CreateReq.sh
/etc/pki/ovirt-engine/cacert.template
/etc/pki/ovirt-engine/SignReq.sh
/etc/pki/ovirt-engine/requests
/etc/pki/ovirt-engine/requests/ca.csr
/etc/pki/ovirt-engine/requests/emptyfile.txt
/etc/pki/ovirt-engine/requests/engine.req
/etc/pki/ovirt-engine/serial.txt
/etc/pki/ovirt-engine/exportK2SSH.sh
/etc/pki/ovirt-engine/encryptpasswd.sh
/etc/pki/ovirt-engine/keys
/etc/pki/ovirt-engine/keys/engine_id_rsa
/etc/pki/ovirt-engine/keys/emptyfile.txt
/etc/pki/ovirt-engine/keys/rhevm.ssh.key.txt
/etc/pki/ovirt-engine/CreateKStore.sh
/etc/pki/ovirt-engine/.rnd
/etc/pki/ovirt-engine/installCA_dev.sh
/etc/pki/ovirt-engine/cert.template
/etc/pki/ovirt-engine/database.txt

Comment 5 Alon Bar-Lev 2012-11-27 16:14:22 UTC
OK... /etc/pki/ovirt-engine/keys/rhevm.ssh.key.txt should be renamed to /etc/pki/ovirt-engine/keys/engine.ssh.key.txt during upgrade.

Comment 8 Martin Pavlik 2012-12-03 12:57:03 UTC
Created attachment 656596 [details]
logcollector_host_install_after_upgrade

Comment 13 Martin Pavlik 2012-12-20 15:54:58 UTC
works on si25.2 with RHEV Hypervisor - 6.3 - 20121212.0.el6_3

Comment 16 Itamar Heim 2013-06-11 08:59:43 UTC
3.2 has been released

Comment 17 Itamar Heim 2013-06-11 08:59:57 UTC
3.2 has been released

Comment 18 Itamar Heim 2013-06-11 08:59:57 UTC
3.2 has been released

Comment 19 Itamar Heim 2013-06-11 09:01:16 UTC
3.2 has been released

Comment 20 Itamar Heim 2013-06-11 09:30:46 UTC
3.2 has been released


Note You need to log in before you can comment on or make changes to this bug.